Bug 1949306 - need a way to see top API accessors
Summary: need a way to see top API accessors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.8
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.8.0
Assignee: David Eads
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-13 23:10 UTC by David Eads
Modified: 2021-07-27 23:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:00:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift api pull 897 0 None closed bug 1949306: tweak APIRequestCount API based on implementation and data collection 2021-04-27 13:03:54 UTC
Github openshift api pull 902 0 None closed bug 1949306: make removedInRelease setable to empty string 2021-04-27 13:03:55 UTC
Github openshift api pull 909 0 None closed bug 1949306: remove deprecateapirequests API that was never shipped 2021-04-27 13:03:57 UTC
Github openshift client-go pull 182 0 None closed bug 1949306: regenerate client-go for api 2021-04-27 13:03:58 UTC
Github openshift client-go pull 184 0 None closed bug 1949306: Remove API we never shipped. 2021-04-27 13:03:59 UTC
Github openshift cluster-kube-apiserver-operator pull 1102 0 None closed bug 1949306: add deprecated CRD manifest 2021-04-27 13:03:59 UTC
Github openshift cluster-kube-apiserver-operator pull 1106 0 None closed bug 1949306: switch APIRequestCount from DeprecatedAPIRequest 2021-04-27 13:04:00 UTC
Github openshift cluster-kube-apiserver-operator pull 1107 0 None closed bug 1949306: collect new style counts 2021-04-27 13:04:00 UTC
Github openshift cluster-kube-apiserver-operator pull 1115 0 None closed bug 1949306: stop created deprecateapirequests 2021-04-27 13:04:01 UTC
Github openshift kubernetes pull 663 0 None closed bug 1949306: UPSTREAM: <carry>: DeprecatedAPIRequest Log 2021-04-27 13:03:58 UTC
Github openshift kubernetes pull 675 0 None closed bug 1949306: UPSTREAM: <carry>: DeprecatedAPIRequestHandler unit tests 2021-04-27 13:04:03 UTC
Github openshift kubernetes pull 678 0 None closed bug 1949306: UPSTREAM: <carry>: show all top API counts 2021-04-27 13:04:03 UTC
Github openshift kubernetes pull 684 0 None closed bug 1949306: UPSTREAM: <carry>: keep apirequestcounts for non-persisted users between updates 2021-04-27 13:04:04 UTC
Github openshift origin pull 26100 0 None closed bug 1949306: add e2e test to block usage of removed APIs 2021-04-27 13:04:02 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:00:38 UTC

Description David Eads 2021-04-13 23:10:44 UTC
We need to find top accessors and deprecated api accessors for debbugging clusters and for being able to upgrade from 4.8 to 4.9 since the kube-apiserver moves first and v1beta1 APIs will suddenly disappear.

Comment 4 Xingxing Xia 2021-05-07 11:45:05 UTC
Tested in API-1009

Comment 7 errata-xmlrpc 2021-07-27 23:00:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.